var $ = jQuery.noConflict();
var fixed = false;
$(document).ready(function() {
	blog_url = $("#networkpub_plugin_url").val();
	$(".social_discussions_header_link").live("click", function() {
		var elem_this = $(this);
		var elem_input = $(this).find("input:first");
		var elem_parent_div = elem_this.parents('div:first');
		$(".social_discussions_header_hide").each(function() {
			if($(this).attr("id") != elem_this.attr("id")) {
				if($(this).is(":visible")) {
					$(this).hide();
					$(this).parents(".postbox:first").find(".social_discussions_header_content:first").hide();
					$(this).parents(".postbox:first").find(".social_discussions_header_edit:first").show();
				}
			}
		});
		elem_parent_div.find('a').each(function(){
			if($(this).find("input:first").val() == elem_input.val()) {
				$(this).hide();
			} else {
				$(this).show();
				if($(this).attr("id") == "idNetworkPublisher") {
					$.post(blog_url+"social-discussions-networkpub_ajax.php", {type:'load'}, function(data) {
						if(data == '500') {
							$("#idAPIBox").html('<div class="msg_error">Error occured while removing the API Key. As a workaround, you can remove this publishing at the following link: <a href="http://www.linksalpha.com/user/publish">LinksAlpha Publisher</a> </div>');
						} else {
							$("#idAPIBox").html(data);
						}
					});		
				}
			}
		});
		var elem_parent = elem_this.parents(".postbox:first");
		var social_discussions_header_content = elem_parent.find(".social_discussions_header_content:first");
        social_discussions_header_content.toggle();
	});
	$("#laecho-html-icon-display-inline").live("change", function(){
		var display_inline = $(this);
		console.log(display_inline.val());
		if(display_inline.val() == 1) {
			$(".laecho-html-icon-margin-block").each(function(){
				$(this).hide();
			});
		} else {
			$(".laecho-html-icon-margin-block").each(function(){
				$(this).show();
			});
		}
	});
	$('input[name="social_buttons_select_style"]').each(function(){
		if($(this).is(':checked')){
			var selected_id = $(this).attr("id");
			$("#"+selected_id+"_options").show();
		};	
	});
	$('input[name="social_buttons_select_style"]').bind("click", (function () {
		var selected_id = $(this).attr("id");
		$(".laecho_buttons_style_options").each(function() {
			$(this).fadeOut();		
		});
		$("#"+selected_id+"_options").fadeIn();
	}));
	$(".lanetworkpubre").live("click", function(e) {
        $("#la-networkpub_msg").css('display', 'block');
        $("#la-networkpub_msg").html('Removing...');
        var key = $(this).attr("id");
        $(this).parent().parent().css('opacity','.30');
        if(key) {
            $.post(blog_url+"social-discussions-networkpub_ajax.php", {laechonw_networkpub_key:key, type:'remove'}, function(data) {
                if(data == '500') {
                    $("#la-networkpub_msg").html('<div class="msg_error">Error occured while removing the Network. As a workaround, you can remove this publishing at the following link: <a href="http://www.linksalpha.com/user/publish">LinksAlpha Publisher</a> </div>');
                } else {
                    $("#r_"+key).remove();
                    $("#la-networkpub_msg").css('display', 'block');
                    $("#la-networkpub_msg").html('Network has been removed successfully');
                }
            });
        } 
        return false;
    });
	// Page scroll
	$(window).scroll(function() {
		social_discussions_social_discussions_widget_box_container_scroll();
	});
	if($("#laecho_networkpub_added").length > 0) {
		if($("#laecho_networkpub_added").val() > 0) {
			$("#laecho_networkpub_added").parents(".laecho_postbox").find(".social_discussions_header_edit").trigger("click");
		}
	}
	if(window.location.hash) {
		if(window.location.hash == "#networkpub") {
			$("#laecho_networkpub_added").parents(".laecho_postbox").find(".social_discussions_header_edit").trigger("click");
		}
	}
});

// Page scroll
function social_discussions_social_discussions_widget_box_container_scroll() {
	if($('#social_discussions_widget_box_container').length > 0) {
	    if( $(this).scrollTop() >= 260 ) {
	        if( !fixed ) {
	            fixed = true;
	            $('#social_discussions_widget_box_container').css({position:'fixed',top:-10});
	            $('#social_discussions_widget_box_container').width($("#social_discussions_widget_box_container").parent().width() - 30);
				$('#social_discussions_widget_box_container').find(".social_discussions_options_box:first").parent().css({'background-color': '#F7F7F7', 'border':'2px solid #BFBFBF'});
	        }
	    } else {
	        if( fixed ) {
	            fixed = false;
	            $('#social_discussions_widget_box_container').css({position:'static'});
				$('#social_discussions_widget_box_container').find(".social_discussions_options_box:first").parent().css({'background-color': '#FFFFFF'});
	        }
	    }
	}
}